Subject: [bug#29419] [RFC PATCH] gnu: Add rename.

From: Marius Bakke <[email-masked]>
Date: Sun, 07 Jan 2018 14:42:21 +0100

Ludovic Courtès <[email-masked]> writes:

> Hello,
>
> Marius Bakke <[email-masked]> skribis:
>
>> It installs an executable called 'rename' which conflicts with the
>> (limited) one in util-linux, due to the latter being part of
>> %base-packages.
>
> Is this conflict a hindrance in practice?

Only if you have util-linux in the same profile.  And there is always
`guix environment --pure`, so not really.

>> Are there preferences to either:
>>
>> * Install this one as 'perl-rename'; or
>> * Drop the `rename` executable from util-linux.
>>
>> If there are no comments I'll go with the conservative #1.
>
> Either way is fine with me.  (At some point I’d like to avoid Perl
> dependencies in %base-packages if possible, though.)

Actually, I changed my mind and would like to keep it as-is for now.
The main problem is that the man page is not easily accessible, but that
turned out to be a different bug: <https://bugs.gnu.org/30014>.

Will push this later when I figure out a synopsis that does not upset
`guix lint` :)